diff --git a/web/pgadmin/browser/static/js/collection.js b/web/pgadmin/browser/static/js/collection.js
index 9f944ff19..240665432 100644
--- a/web/pgadmin/browser/static/js/collection.js
+++ b/web/pgadmin/browser/static/js/collection.js
@@ -7,8 +7,9 @@
 //
 //////////////////////////////////////////////////////////////
 
-import {removeNodeView} from './node_view';
-import Notify from '../../../static/js/helpers/Notifier';
+// import {removeNodeView} from './node_view';
+// import Notify from '../../../static/js/helpers/Notifier';
+import {getPanelView} from './panel_view';
 
 define([
   'sources/gettext', 'jquery', 'underscore', 'sources/pgadmin',
@@ -91,399 +92,14 @@ define([
       canDropCascade: true,
       selectParentNodeOnDelete: false,
       showProperties: function(item, data, panel) {
-        var that = this,
-          j = panel.$container.find('.obj_properties').first(),
-          view = j.data('obj-view'),
-          content = $('<div></div>')
-            .addClass('pg-prop-content col-12 has-pg-prop-btn-group'),
-          node = pgBrowser.Nodes[that.node],
-          $msgContainer = '',
-          // This will be the URL, used for object manipulation.
-          urlBase = this.generate_url(item, 'properties', data),
-          info = pgBrowser.tree.getTreeNodeHierarchy(item),
-          gridSchema = Backform.generateGridColumnsFromModel(
-            info, node.model, 'properties', that.columns
-          ),
-          createButtons = function(buttonsList, location, extraClasses) {
-            // Arguments must be non-zero length array of type
-            // object, which contains following attributes:
-            // label, type, extraClasses, register
-            if (buttonsList && _.isArray(buttonsList) && buttonsList.length > 0) {
-              // All buttons will be created within a single
-              // div area.
-              var btnGroup =
-                $('<div class="pg-prop-btn-group"></div>'),
-                // Template used for creating a button
-                tmpl = _.template([
-                  '<button tabindex="0" type="<%= type %>" ',
-                  'class="btn <%=extraClasses.join(\' \')%>"',
-                  '<% if (disabled) { %> disabled="disabled"<% } %> title="<%-tooltip%>">',
-                  '<span class="<%= icon %>" role="img"></span><% if (label != "") { %>&nbsp;<%-label%><% } %><span class="sr-only"><%-tooltip%></span></button>',
-                ].join(' '));
-              if (location == 'header') {
-                btnGroup.appendTo(that.header);
-              } else {
-                btnGroup.appendTo(that.footer);
-              }
-              if (extraClasses) {
-                btnGroup.addClass(extraClasses);
-              }
-              _.each(buttonsList, function(btn) {
-                // Create the actual button, and append to
-                // the group div
 
-                // icon may not present for this button
-                if (!btn.icon) {
-                  btn.icon = '';
-                }
-                var b = $(tmpl(btn));
-                btnGroup.append(b);
-                // Register is a callback to set callback
-                // for certain operation for this button.
-                btn.register(b);
-              });
-              return btnGroup;
-            }
-            return null;
-          }.bind(panel);
-
-        that.collection = new (node.Collection.extend({
-          url: urlBase,
-          model: node.model,
-        }))();
-        // Add the new column for the multi-select menus
-        if((_.isFunction(that.canDrop) ?
-          that.canDrop.apply(that, [data, item]) : that.canDrop) ||
-              (_.isFunction(that.canDropCascade) ?
-                that.canDropCascade.apply(that, [data, item]) : that.canDropCascade)) {
-          gridSchema.columns.unshift({
-            name: 'oid',
-            cell: Backgrid.Extension.SelectRowCell.extend({
-              initialize: function (options) {
-                this.column = options.column;
-                if (!(this.column instanceof Backgrid.Column)) {
-                  this.column = new Backgrid.Column(this.column);
-                }
-
-                var column = this.column, model = this.model, $el = this.$el;
-                this.listenTo(column, 'change:renderable', function (col, renderable) {
-                  $el.toggleClass('renderable', renderable);
-                });
-
-                if (Backgrid.callByNeed(column.renderable(), column, model)) $el.addClass('renderable width_percent_3');
-
-                this.listenTo(model, 'backgrid:select', this.toggleCheckbox);
-              },
-              toggleCheckbox: function(model, selected) {
-                if (this.checkbox().prop('disabled') === false) {
-                  this.checkbox().prop('checked', selected).change();
-                }
-              },
-              render: function() {
-                let model = this.model.toJSON();
-                // canDrop can be set to false for individual row from the server side to disable the checkbox
-                let disabled = ('canDrop' in model && model.canDrop === false);
-                let id = `row-${_.uniqueId(model.oid || model.name)}`;
-
-                this.$el.empty().append(`
-                  <div class="custom-control custom-checkbox custom-checkbox-no-label">
-                    <input tabindex="-1" type="checkbox" class="custom-control-input" id="${id}" ${disabled?'disabled':''}/>
-                    <label class="custom-control-label" for="${id}">
-                      <span class="sr-only">` + gettext('Select') + `<span>
-                    </label>
-                  </div>
-                `);
-                this.delegateEvents();
-                return this;
-              },
-            }),
-            headerCell: Backgrid.Extension.SelectAllHeaderCell,
-          });
-        }
-        /* Columns should be always non-editable  */
-        gridSchema.columns.forEach((col)=>{
-          col.disabled = true;
-        });
-
-        // Get the list of selected models, before initializing the grid
-        // again.
-        var selectedModels = [];
-        if(!_.isUndefined(that.grid) && 'collection' in that.grid){
-          selectedModels = that.grid.getSelectedModels();
-        }
-
-        // Initialize a new Grid instance
-        that.grid = new Backgrid.Grid({
-          emptyText: gettext('No data found'),
-          columns: gridSchema.columns,
-          collection: that.collection,
-          className: 'backgrid table presentation table-bordered table-noouter-border table-hover',
-        });
-
-        var gridView = {
-          'remove': function() {
-            if (this.grid) {
-              if (this.grid.collection) {
-                this.grid.collection.reset([], {silent: true});
-                delete (this.grid.collection);
-              }
-              delete (this.grid);
-              this.grid = null;
-            }
-          },
-          grid: that.grid,
-        };
-
-        if (view) {
-          // Cache the current IDs for next time
-          $(panel).data('node-prop', urlBase);
-
-          // Reset the data object
-          j.data('obj-view', null);
-        }
-
-        /* Remove any dom rendered by getNodeView */
-        removeNodeView(j[0]);
-        // Make sure the HTML element is empty.
-        j.empty();
-        j.data('obj-view', gridView);
-
-        $msgContainer = '<div role="status" class="pg-panel-message pg-panel-properties-message">' +
-         gettext('Retrieving data from the server...') + '</div>';
-
-        $msgContainer = $($msgContainer).appendTo(j);
-
-        that.header = $('<div></div>').addClass(
-          'pg-prop-header'
+        let container =  panel.$container[0];
+        getPanelView(
+          pgBrowser.tree,
+          container,
+          pgBrowser,
+          panel._type
         );
-
-        // Render the buttons
-        var buttons = [];
-
-        buttons.push({
-          label: '',
-          type: 'delete',
-          tooltip: gettext('Delete/Drop'),
-          extraClasses: ['btn-primary-icon m-1', 'delete_multiple'],
-          icon: 'fa fa-trash-alt',
-          disabled:  (_.isFunction(that.canDrop)) ? !(that.canDrop.apply(self, [data, item])) : (!that.canDrop),
-          register: function(btn) {
-            btn.on('click',() => {
-              onDrop('drop');
-            });
-          },
-        });
-
-        buttons.push({
-          label: '',
-          type: 'delete',
-          tooltip: gettext('Drop Cascade'),
-          extraClasses: ['btn-primary-icon m-1', 'delete_multiple_cascade'],
-          icon: 'pg-font-icon icon-drop_cascade',
-          disabled: (_.isFunction(that.canDropCascade)) ? !(that.canDropCascade.apply(self, [data, item])) : (!that.canDropCascade),
-          register: function(btn) {
-            btn.on('click',() => {
-              onDrop('dropCascade');
-            });
-          },
-        });
-
-        createButtons(buttons, 'header', 'pg-prop-btn-group-above');
-
-        // Render subNode grid
-        content.append('<div class="pg-prop-coll-container"></div>');
-        content.find('.pg-prop-coll-container').append(that.grid.render().$el);
-
-        var timer;
-        var getAjaxHook = function() {
-          $.ajax({
-            url: urlBase,
-            type: 'GET',
-            beforeSend: function(xhr) {
-              xhr.setRequestHeader(pgAdmin.csrf_token_header, pgAdmin.csrf_token);
-              // Generate a timer for the request
-              timer = setTimeout(function() {
-                // notify user if request is taking longer than 1 second
-
-                if (!$msgContainer.text()== 'Failed to retrieve data from the server.')
-                  $msgContainer.text(gettext('Retrieving data from the server...'));
-                $msgContainer.removeClass('d-none');
-                if (self.grid) {
-                  self.grid.remove();
-                }
-              }, 1000);
-            },
-          }).done(function(res) {
-            clearTimeout(timer);
-
-            if (_.isUndefined(that.grid) || _.isNull(that.grid)) return;
-
-            that.data = res;
-
-            if (that.data.length > 0) {
-
-              if (!$msgContainer.hasClass('d-none')) {
-                $msgContainer.addClass('d-none');
-              }
-              that.header.appendTo(j);
-              j.append(content);
-
-              // Listen scroll event to load more rows
-              $('.pg-prop-content').on('scroll', that.__loadMoreRows.bind(that));
-
-              that.collection.reset(that.data.splice(0, 50));
-
-              // Listen to select all checkbox event
-              that.collection.on('backgrid:select-all', that.__loadAllRows.bind(that));
-
-              // Trigger the backgrid:select event for already selected items
-              // as we have created a new grid instance.
-              if(selectedModels.length > 0) {
-                that.collection.each(function (model) {
-                  for(let model_val of selectedModels){
-                    if (model_val.id == model.id){
-                      model.trigger('backgrid:select', model, true);
-                    }
-                  }
-                });
-              }
-            } else {
-            // Do not listen the scroll event
-              $('.pg-prop-content').off('scroll', that.__loadMoreRows);
-
-              $msgContainer.text(gettext('No properties are available for the selected object.'));
-
-            }
-            selectedModels = [];
-          }).fail(function(xhr, error) {
-            pgBrowser.Events.trigger(
-              'pgadmin:node:retrieval:error', 'properties', xhr, error.message, item, that
-            );
-            if (!Alertify.pgHandleItemError(xhr, error.message, {
-              item: item,
-              info: info,
-            })) {
-              Notify.pgNotifier(
-                error, xhr, gettext('Error retrieving properties - %s', error.message || that.label),
-                function(msg) {
-                  if(msg === 'CRYPTKEY_SET') {
-                    getAjaxHook();
-                  } else {
-                    console.warn(arguments);
-                  }
-                }
-              );
-            }
-            // show failed message.
-            $msgContainer.text(gettext('Failed to retrieve data from the server.'));
-          });
-        };
-        getAjaxHook();
-
-        var onDrop = function(type, confirm=true) {
-          let sel_row_models = this.grid.getSelectedModels(),
-            sel_rows = [],
-            sel_item = pgBrowser.tree.selected(),
-            d = sel_item ? pgBrowser.tree.itemData(sel_item) : null,
-            sel_node = d && pgBrowser.Nodes[d._type],
-            url = undefined,
-            msg = undefined,
-            title = undefined;
-
-          if (sel_node && sel_node.type && sel_node.type == 'coll-constraints') {
-            // In order to identify the constraint type, the type should be passed to the server
-            sel_rows = sel_row_models.map(row => ({id: row.get('oid'), _type: row.get('_type')}));
-          }
-          else {
-            sel_rows = sel_row_models.map(row => row.id);
-          }
-
-          if (sel_rows.length === 0) {
-            Notify.alert(gettext('Drop Multiple'),
-              gettext('Please select at least one object to delete.')
-            );
-            return;
-          }
-
-          if (!sel_node)
-            return;
-
-          if (type === 'dropCascade') {
-            url = sel_node.generate_url(sel_item, 'delete');
-            msg = gettext('Are you sure you want to drop all the selected objects and all the objects that depend on them?');
-            title = gettext('DROP CASCADE multiple objects?');
-          } else {
-            url = sel_node.generate_url(sel_item, 'drop');
-            msg = gettext('Are you sure you want to drop all the selected objects?');
-            title = gettext('DROP multiple objects?');
-          }
-
-          let dropAjaxHook = function() {
-            $.ajax({
-              url: url,
-              type: 'DELETE',
-              data: JSON.stringify({'ids': sel_rows}),
-              contentType: 'application/json; charset=utf-8',
-            }).done(function(res) {
-              if (res.success == 0) {
-                pgBrowser.report_error(res.errormsg, res.info);
-              } else {
-                $(pgBrowser.panels['properties'].panel).removeData('node-prop');
-                pgBrowser.Events.trigger(
-                  'pgadmin:browser:tree:refresh', sel_item || pgBrowser.tree.selected(), {
-                    success: function() {
-                      setTimeout(function() {
-                        pgBrowser.tree.select(sel_item);
-                        sel_node.callbacks.selected.apply(sel_node, [sel_item]);
-                      }, 100);
-                    },
-                  });
-              }
-              return true;
-            }).fail(function(xhr, error) {
-              Notify.pgNotifier(
-                error, xhr,
-                gettext('Error dropping %s', d._label.toLowerCase()),
-                function(alertMsg) {
-                  if (alertMsg == 'CRYPTKEY_SET') {
-                    onDrop(type, false);
-                  } else {
-                    $(pgBrowser.panels['properties'].panel).removeData('node-prop');
-                    pgBrowser.Events.trigger(
-                      'pgadmin:browser:tree:refresh', sel_item || pgBrowser.tree.selected(), {
-                        success: function() {
-                          sel_node.callbacks.selected.apply(sel_node, [sel_item]);
-                        },
-                      }
-                    );
-                  }
-                }
-              );
-            });
-          };
-
-          if(confirm) {
-            Notify.confirm(title, msg, dropAjaxHook, null);
-          } else {
-            dropAjaxHook();
-          }
-        }.bind(that);
-      },
-      __loadMoreRows: function(e) {
-        let elem = e.currentTarget;
-        if ((elem.scrollHeight - 10) < elem.scrollTop + elem.offsetHeight) {
-          if (this.data.length > 0) {
-            this.collection.add(this.data.splice(0, 50));
-          }
-        }
-      },
-      __loadAllRows: function(tmp, checked) {
-        if (this.data.length > 0) {
-          this.collection.add(this.data);
-          this.collection.each(function (model) {
-            model.trigger('backgrid:select', model, checked);
-          });
-        }
       },
       generate_url: function(item, type) {
         /*
diff --git a/web/pgadmin/browser/static/js/node.js b/web/pgadmin/browser/static/js/node.js
index 9e6d3d543..21ae4c06d 100644
--- a/web/pgadmin/browser/static/js/node.js
+++ b/web/pgadmin/browser/static/js/node.js
@@ -1082,8 +1082,6 @@ define('pgadmin.browser.node', [
             b.panels['properties'] &&
             b.panels['properties'].panel &&
             b.panels['properties'].panel.isVisible()) {
-            // Show object properties (only when the 'properties' tab
-            // is active).
             this.showProperties(item, d, b.panels['properties'].panel);
           }
         }
@@ -1259,20 +1257,20 @@ define('pgadmin.browser.node', [
             d = i && tree.itemData(i),
             treeHierarchy = tree.getTreeNodeHierarchy(i);
 
-          if (_.isEqual($(this).data('node-prop'), treeHierarchy)) {
-            return;
-          }
-
           // Cache the current IDs for next time
           $(this).data('node-prop', treeHierarchy);
 
           /* Remove any dom rendered by getNodeView */
-          removeNodeView(j[0]);
-          /* getSchema is a schema for React. Get the react node view */
+          removeNodeView(pgBrowser.panels['properties'].panel.$container[0]);
+
+          var containerProperties =  pgBrowser.panels['properties'].panel.$container;
+          containerProperties.addClass('pg-panel-content pg-no-overflow pg-el-container');
+
+
           if(that.getSchema) {
             let treeNodeInfo = pgBrowser.tree.getTreeNodeHierarchy(item);
             getNodeView(
-              that.type, treeNodeInfo, 'properties', data, 'tab', j[0], this, onEdit
+              that.type, treeNodeInfo, 'properties', data, 'tab', containerProperties[0], this, onEdit
             );
             return;
           }
diff --git a/web/pgadmin/browser/static/js/node_ajax.js b/web/pgadmin/browser/static/js/node_ajax.js
index 14a9afa3c..19ac76562 100644
--- a/web/pgadmin/browser/static/js/node_ajax.js
+++ b/web/pgadmin/browser/static/js/node_ajax.js
@@ -25,8 +25,9 @@ export function generateCollectionURL(item, type) {
   };
   var treeInfo = pgAdmin.Browser.tree.getTreeNodeHierarchy(item);
   var actionType = type in opURL ? opURL[type] : type;
+  var nodeType = type === 'properties' ? nodeObj.type : nodeObj.node;
   return generate_url(
-    pgAdmin.Browser.URL, treeInfo, actionType, nodeObj.node,
+    pgAdmin.Browser.URL, treeInfo, actionType, nodeType,
     collectionPickFunction
   );
 }
diff --git a/web/pgadmin/browser/static/js/panel.js b/web/pgadmin/browser/static/js/panel.js
index fbbc56bd5..c9d1b1f84 100644
--- a/web/pgadmin/browser/static/js/panel.js
+++ b/web/pgadmin/browser/static/js/panel.js
@@ -122,14 +122,32 @@ define(
                 that.resizedContainer.apply(myPanel);
               }
 
-              // Bind events only if they are configurable
-              if (that.canHide) {
-                _.each([wcDocker.EVENT.CLOSED, wcDocker.EVENT.VISIBILITY_CHANGED],
-                  function(ev) {
-                    myPanel.on(ev, that.handleVisibility.bind(myPanel, ev));
-                  });
+
+
+              if (myPanel._type == 'dashboard') {
+                getPanelView(
+                  pgBrowser.tree,
+                  $container[0],
+                  pgBrowser,
+                  myPanel._type
+                );
               }
 
+              // Rerender the dashboard panel when preference value 'show graph' gets changed.
+              pgBrowser.onPreferencesChange('dashboards', function() {
+                getPanelView(
+                  pgBrowser.tree,
+                  $container[0],
+                  pgBrowser,
+                  myPanel._type
+                );
+              });
+              
+              _.each([wcDocker.EVENT.CLOSED, wcDocker.EVENT.VISIBILITY_CHANGED],
+                function(ev) {
+                  myPanel.on(ev, that.handleVisibility.bind(myPanel, ev));
+                });
+
               pgBrowser.Events.on('pgadmin-browser:tree:selected', () => {
 
                 if(myPanel.isVisible()) {
@@ -141,6 +159,18 @@ define(
                   );
                 }
               });
+
+              pgBrowser.Events.on('pgadmin-browser:tree:refreshing', () => {
+
+                if(myPanel.isVisible()) {
+                  getPanelView(
+                    pgBrowser.tree,
+                    $container[0],
+                    pgBrowser,
+                    myPanel._type
+                  );
+                }
+              });
             },
           });
         }
@@ -205,11 +235,6 @@ define(
         }
       },
       handleVisibility: function(eventName) {
-        // Supported modules
-        let type_module = {
-          dashboard: pgAdmin.Dashboard,
-        };
-        let module = type_module[this._type];
         if (_.isNull(pgBrowser.tree)) return;
 
         let selectedPanel = pgBrowser.docker.findPanels(this._type)[0];
@@ -219,18 +244,6 @@ define(
           .scene()
           .find('.pg-panel-content');
 
-        if (this._type === 'dashboard') {
-          if (eventName == 'panelClosed') {
-            module.toggleVisibility.call(module, false, true);
-          } else if (eventName == 'panelVisibilityChanged') {
-            module.toggleVisibility.call(
-              module,
-              pgBrowser.docker.findPanels(this._type)[0].isVisible(),
-              false
-            );
-          }
-        }
-
         if (isPanelVisible) {
           if (eventName == 'panelClosed') {
             removePanelView($container[0]);
diff --git a/web/pgadmin/browser/static/js/panel_view.jsx b/web/pgadmin/browser/static/js/panel_view.jsx
index cf0a5a07e..2ada1e375 100644
--- a/web/pgadmin/browser/static/js/panel_view.jsx
+++ b/web/pgadmin/browser/static/js/panel_view.jsx
@@ -13,6 +13,11 @@ import Theme from 'sources/Theme';
 import Dependencies from '../../../misc/dependencies/static/js/Dependencies';
 import Dependents from '../../../misc/dependents/static/js/Dependents';
 import Statistics from '../../../misc/statistics/static/js/Statistics';
+import SQL from '../../../misc/sql/static/js/SQL';
+import Dashboard from '../../../dashboard/static/js/Dashboard';
+import _ from 'lodash';
+import { CollectionNodeView } from '../../../misc/properties/CollectionNodeProperties';
+
 
 /* The entry point for rendering React based view in properties, called in node.js */
 export function getPanelView(
@@ -21,10 +26,33 @@ export function getPanelView(
   pgBrowser,
   panelType
 ) {
-  let item = tree.selected(),
-    nodeData = item && tree.itemData(item),
-    node = item && nodeData && pgBrowser.Nodes[nodeData._type],
+  let item = !_.isNull(tree)? tree.selected(): null,
+
+    nodeData, node, treeNodeInfo, preferences;
+  if (item){
+    nodeData = tree.itemData(item);
+    node = nodeData && pgBrowser.Nodes[nodeData._type];
     treeNodeInfo = pgBrowser.tree.getTreeNodeHierarchy(item);
+    preferences = pgBrowser.get_preferences_for_module('dashboards');
+  }
+  if (panelType == 'dashboard') {
+    ReactDOM.render(
+      <Theme>
+        <Dashboard
+          treeNodeInfo={treeNodeInfo}
+          pgBrowser={pgBrowser}
+          nodeData={nodeData}
+          node={node}
+          item={item}
+          preferences={preferences}
+          did={((!_.isUndefined(treeNodeInfo)) && (!_.isUndefined(treeNodeInfo['database']))) && treeNodeInfo['database']._id}
+          sid={!_.isUndefined(treeNodeInfo) && !_.isUndefined(treeNodeInfo['server']) ? treeNodeInfo['server']._id : ''}
+          serverConnected={!_.isUndefined(treeNodeInfo) && !_.isUndefined(treeNodeInfo['server']) ? treeNodeInfo.server.connected: false}
+        />
+      </Theme>,
+      container
+    );
+  }
 
 
   if (panelType == 'statistics') {
@@ -41,6 +69,20 @@ export function getPanelView(
       container
     );
   }
+  if (panelType == 'properties') {
+    ReactDOM.render(
+      <Theme>
+        <CollectionNodeView
+          treeNodeInfo={treeNodeInfo}
+          item={item}
+          itemNodeData={nodeData}
+          node={node}
+          pgBrowser={pgBrowser}
+        />
+      </Theme>,
+      container
+    );
+  }
   if (panelType == 'dependencies') {
     ReactDOM.render(
       <Theme>
@@ -69,6 +111,20 @@ export function getPanelView(
       container
     );
   }
+  if (panelType == 'sql') {
+    ReactDOM.render(
+      <Theme>
+        <SQL
+          treeNodeInfo={treeNodeInfo}
+          pgBrowser={pgBrowser}
+          nodeData={nodeData}
+          node={node}
+          item={item}
+        />
+      </Theme>,
+      container
+    );
+  }
 }
 
 /* When switching from normal node to collection node, clean up the React mounted DOM */
diff --git a/web/pgadmin/dashboard/static/js/ActiveQuery.ui.js b/web/pgadmin/dashboard/static/js/ActiveQuery.ui.js
new file mode 100644
index 000000000..79b8146cc
--- /dev/null
+++ b/web/pgadmin/dashboard/static/js/ActiveQuery.ui.js
@@ -0,0 +1,63 @@
+/////////////////////////////////////////////////////////////
+//
+// pgAdmin 4 - PostgreSQL Tools
+//
+// Copyright (C) 2013 - 2022, The pgAdmin Development Team
+// This software is released under the PostgreSQL Licence
+//
+//////////////////////////////////////////////////////////////
+
+import gettext from 'sources/gettext';
+import BaseUISchema from 'sources/SchemaView/base_schema.ui';
+
+export default class ActiveQuery extends BaseUISchema {
+  constructor(initValues) {
+    super({
+      ...initValues,
+    });
+
+  }
+
+  get baseFields() {
+    return [
+
+      {
+        id: 'backend_type',
+        label: gettext('Backend type'),
+        type: 'text',
+        editable: true,
+        noEmpty: true,
+        readonly: true,
+        mode: ['properties'],
+        group: gettext('Details'),
+      },
+      {
+        id: 'query_start',
+        label: gettext('Query started at'),
+        type: 'text',
+        editable: false,
+        readonly: true,
+        group: gettext('Details'),
+      },
+      {
+        id: 'state_change',
+        label: gettext('Last state changed at'),
+        type: 'text',
+        editable: false,
+        readonly: true,
+        group: gettext('Details'),
+      },
+      {
+        id: 'query',
+        label: gettext('SQL'),
+        cell: 'string',
+        editable: false,
+        readonly: true,
+        type: 'sql',
+        group: gettext('Details'),
+      },
+    ];
+
+  }
+
+}
